"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useViewport = void 0;
var use_window_dimensions_1 = require("./use-window-dimensions");
var breakpoints_sizes_1 = require("../responsive/breakpoints-sizes");
var useViewport = function () {
    var width = use_window_dimensions_1.useWindowDimensions().width;
    var isSmall = width <= breakpoints_sizes_1.BreakpointsSizes.s.max;
    var isMedium = width >= breakpoints_sizes_1.BreakpointsSizes.m.min && width <= breakpoints_sizes_1.BreakpointsSizes.m.max;
    var isLarge = width >= breakpoints_sizes_1.BreakpointsSizes.l.min && width < breakpoints_sizes_1.BreakpointsSizes.xl.min;
    var isXLarge = width >= breakpoints_sizes_1.BreakpointsSizes.xl.min;
    return {
        isSmall: isSmall,
        isMedium: isMedium,
        isLarge: isLarge,
        isXLarge: isXLarge,
    };
};
exports.useViewport = useViewport;
//# sourceMappingURL=use-viewport.js.map