"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UiSpacing = void 0;
var tslib_1 = require("tslib");
var React = tslib_1.__importStar(require("react"));
var styled_components_1 = tslib_1.__importDefault(require("styled-components"));
var theme_context_1 = require("../providers/theme-context");
var getSpaceValue = function (sizing, theme) {
    if (sizing.all) {
        return theme.spacing[sizing.all];
    }
    if (sizing.inline) {
        return "0px " + theme.spacing[sizing.inline];
    }
    if (sizing.block) {
        return theme.spacing[sizing.block] + " 0px";
    }
    return "\n    " + (sizing.top ? theme.spacing[sizing.top] : '0px') + "\n    " + (sizing.right ? theme.spacing[sizing.right] : '0px') + "\n    " + (sizing.bottom ? theme.spacing[sizing.bottom] : '0px') + "\n    " + (sizing.left ? theme.spacing[sizing.left] : '0px') + "\n  ";
};
var Div = styled_components_1.default.div(templateObject_1 || (templateObject_1 = tslib_1.__makeTemplateObject(["\n  ", "\n"], ["\n  ",
    "\n"])), function (props) { return "\n    " + (props.margin ? "margin: " + getSpaceValue(props.margin, props.customTheme) + ";" : '') + "\n    " + (props.padding ? "padding: " + getSpaceValue(props.padding, props.customTheme) + ";" : '') + "\n  "; });
var UiSpacing = function (_a) {
    var children = _a.children, margin = _a.margin, padding = _a.padding, testId = _a.testId;
    var themeContext = React.useContext(theme_context_1.ThemeContext);
    return (React.createElement(Div, { customTheme: themeContext.theme, selectedTheme: themeContext.selectedTheme, margin: margin, padding: padding, "data-testid": testId }, children));
};
exports.UiSpacing = UiSpacing;
var templateObject_1;
//# sourceMappingURL=spacing.js.map